<template>
  <div>
    <li>
      <a
        @click.prevent="$refs.storyModal.Open()"
        class="kioskbutton" data-control="PopupTrigger"><img src="/images/kiosk-button5-story.png">
      </a>
    </li>
    <story-modal ref="storyModal">
      <div
        id="overlay"
        slot="submit-story">
        <section
          style="display: block;"
          id="storywindow"
          data-control="Popup"
          class="modalwindow">
          <div class="windowcontent">Submit a Story
            <div v-show="!ideaSubmitted">
              <form id="storyform">
                <input
                  v-model="headline"
                  id="storyHeadline"
                  type="text"
                  placeholder="Story Headline"
                  aria-disabled="false">
                <textarea
                  v-model="story"
                  name="storycontent"
                  id="storycontent"
                  cols="30"
                  rows="10"
                  class="defaultText"
                  placeholder="Story Idea"
                  aria-disabled="false"></textarea>
              </form>
              <div class="popupbuttoncontainer story">
                <div class="popupbtn buttonleft"></div>
                <div
                  @click="postStoryIdea"
                  class="popupbtn buttonmiddle">Submit!
                </div>
                <div class="popupbtn buttonright"></div>
                <div class="clear"></div>
              </div>
            </div>
            <div
              style="display: block;"
              v-show="ideaSubmitted"
              class="submitted">
              <br>Your story has been submitted.
              <div class="popupbuttoncontainer close">
                <div class="popupbtn buttonleft"></div>
                <div
                  @click="$refs.storyModal.Close(); resetStoryModal()"
                  class="popupbtn buttonmiddle">Close
                </div>
                <div class="popupbtn buttonright"></div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
          <a
            @click="$refs.storyModal.Close(); resetStoryModal()"
            class="close closebutton maskfadeout" data-dismiss="modal">
            <img src="/images/closebutton.png">
          </a>
        </section>
      </div>
    </story-modal>
  </div>
</template>

<script>
import StoryModal from '../../../shared/views/ShopModal.vue';

export default {
  components: {
    StoryModal
  },
  data() {
    return {
      headline: '',
      story: '',
      ideaSubmitted: false,
    }
  },
  props: {
    accountId: Number,
    session: Number,
  },
  methods: {
    postStoryIdea() {
      const data = {
        headline: this.headline,
        story: this.story,
        accountId: this.accountId,
        session: this.session
      };
      app.api.Post("kiosk/savestoryidea/" + this.session, data)
        .then( Response => {
          console.log(Response);
        })
        .catch( x => app.Message( x.error, "error" ));
      this.headline = '';
      this.story = '';
      this.ideaSubmitted = true;
    },
    resetStoryModal() {
      this.headline = '';
      this.story = '';
      this.ideaSubmitted = false;
    }
  }
}
</script>

<style>

</style>
